org.apache.ignite.internal.visor.node

## Class VisorExecutorServiceConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorExecutorServiceConfiguration

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorExecutorServiceConfiguration
    extends Object
    implements Serializable, LessNamingBean

Data transfer object for node executors configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorExecutorServiceConfiguration()`

### Method Summary

Methods
`static VisorExecutorServiceConfiguration` `from(IgniteConfiguration c)`
`int` `igfsThreadPoolSize()`
`int` `managementThreadPoolSize()`
`int` `peerClassLoadingThreadPoolSize()`
`int` `publicThreadPoolSize()`
`int` `restThreadPoolSize()`
`int` `systemThreadPoolSize()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorExecutorServiceConfiguration

    public VisorExecutorServiceConfiguration()

### Method Detail

#### from

    public static VisorExecutorServiceConfiguration from(IgniteConfiguration c)

Parameters:
  `c` - Grid configuration.
Returns:
  Data transfer object for node executors configuration properties.

#### publicThreadPoolSize

    public int publicThreadPoolSize()

Returns:
  Public pool size.

#### systemThreadPoolSize

    public int systemThreadPoolSize()

Returns:
  System pool size.

#### managementThreadPoolSize

    public int managementThreadPoolSize()

Returns:
  Management pool size.

#### igfsThreadPoolSize

    public int igfsThreadPoolSize()

Returns:
  IGFS pool size.

#### peerClassLoadingThreadPoolSize

    public int peerClassLoadingThreadPoolSize()

Returns:
  Peer-to-peer pool size.

#### restThreadPoolSize

    public int restThreadPoolSize()

Returns:
  REST requests pool size.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016